LibreOffice can't find libGL.so.1, can't reinstall

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

LibreOffice can't find libGL.so.1, can't reinstall

Ed Ahlsen-Girard-2
Libreoffice, for about ten days, has filaed to run with a GTK error
"can't open libGL.so.1"

The previous fix, pkg-selete/pkg_add fails thus:


quirks-2.409 signed on 2018-02-23T20:57:41Z
Can't install libreoffice-6.0.1.1v0 because of libraries
|library crypto.42.7 not found
| /usr/lib/libcrypto.so.42.0 (system): minor is too small
| /usr/lib/libcrypto.so.42.1 (system): minor is too small
| /usr/lib/libcrypto.so.42.2 (system): minor is too small
| /usr/lib/libcrypto.so.42.6 (system): minor is too small
|library ssl.44.8 not found
| /usr/lib/libssl.so.44.1 (system): minor is too small
| /usr/lib/libssl.so.44.2 (system): minor is too small
| /usr/lib/libssl.so.44.3 (system): minor is too small
| /usr/lib/libssl.so.44.7 (system): minor is too small
Direct dependencies
for .libs1-libreoffice-5.3.7.2p1v0->libreoffice-6.0.1.1v0 resolve to
lcms2-2.9 hunspell-1.6.1p2 desktop-file-utils-0.23p0 curl-7.58.0p0
libxslt-1.1.32 postgresql-client-10.2 poppler-0.59.0 gtk+2-2.24.32
xdg-utils-1.1.2p0 harfbuzz-icu-1.7.5 gtk-update-icon-cache-3.22.28
redland-1.0.17p5 neon-0.30.2p1 graphite2-1.3.10p1 python-3.6.4
icu4c-58.2p5 raptor-2.0.15p2 nss-3.35p0 cups-libs-2.2.6
shared-mime-info-1.9p0 clucene-core-2.3.3.4p2 openldap-client-2.4.45p4
glew-2.0.0 gtk+3-3.22.28 glm-0.9.8.5 boost-1.66.0 libexecinfo-0.3p0v0
Full dependency tree is graphite2-1.3.10p1 libiconv-1.14p3
cups-libs-2.2.6 gdk-pixbuf-2.36.11 at-spi2-core-2.26.2 raptor-2.0.15p2
libltdl-2.4.2p1 gdbm-1.13 gnome-icon-theme-3.12.0p3
clucene-core-2.3.3.4p2 libyajl-2.1.0 libffi-3.2.1p4 libgcrypt-1.8.2p0
libidn2-2.0.0p0 python-2.7.14p0 openjp2-2.3.0 dconf-0.26.1
harfbuzz-icu-1.7.5 libtasn1-4.13p0 poppler-data-0.4.8 avahi-0.7p1
p11-kit-0.23.2p0 redland-1.0.17p5 python-3.6.4 libxml-2.9.7
mozilla-dicts-en-GB-1.3p1 libcroco-0.6.12 librsvg-2.40.20 boost-1.66.0
libexecinfo-0.3p0v0 dbus-daemon-launch-helper-1.12.4
openldap-client-2.4.45p4 png-1.6.34 libxslt-1.1.32 libdaemon-0.14p1
gnutls-3.5.18 libelf-0.8.13p4 bzip2-1.0.6p8 hicolor-icon-theme-0.17
cyrus-sasl-2.1.26p25 dbus-1.12.4v0 jpeg-1.5.3v0 nss-3.35p0
gettext-0.19.8.1p1 gmp-6.1.2p1 libproxy-0.4.15p0 nspr-4.18 lzo2-2.10
glm-0.9.8.5 gtk+3-3.22.28 atk-2.26.1 curl-7.58.0p0 lcms2-2.9
adwaita-icon-theme-3.26.1 jasper-2.0.14 postgresql-client-10.2
gtk+2-2.24.32 neon-0.30.2p1 gtk-update-icon-cache-3.22.28
libgpg-error-1.27p1 nghttp2-1.30.0 pango-1.40.14 at-spi2-atk-2.26.1
icu4c-58.2p5 xz-5.2.3p0 pcre-8.41 gnome-icon-theme-symbolic-3.12.0p2
sqlite3-3.21.0 shared-mime-info-1.9p0 glew-2.0.0 e2fsprogs-1.42.12p4
glib2-2.54.3p1 mpfr-3.1.5.2 desktop-file-utils-0.23p0 libnettle-3.4
rasqal-0.9.33p2 hunspell-1.6.1p2 cairo-1.14.12 poppler-0.59.0
libunistring-0.9.7 xdg-utils-1.1.2p0 tiff-4.0.9 harfbuzz-1.7.5 Couldn't
find updates for .libs1-libreoffice-5.3.7.2p1v0


--

Edward Ahlsen-Girard
Ft Walton Beach, FL


Reply | Threaded
Open this post in threaded view
|

Re: LibreOffice can't find libGL.so.1, can't reinstall

Stuart Henderson
On 2018/02/25 20:12, Ed Ahlsen-Girard wrote:

> Libreoffice, for about ten days, has filaed to run with a GTK error
> "can't open libGL.so.1"
>
> The previous fix, pkg-selete/pkg_add fails thus:
>
>
> quirks-2.409 signed on 2018-02-23T20:57:41Z
> Can't install libreoffice-6.0.1.1v0 because of libraries
> |library crypto.42.7 not found
> | /usr/lib/libcrypto.so.42.0 (system): minor is too small
> | /usr/lib/libcrypto.so.42.1 (system): minor is too small
> | /usr/lib/libcrypto.so.42.2 (system): minor is too small
> | /usr/lib/libcrypto.so.42.6 (system): minor is too small
> |library ssl.44.8 not found
> | /usr/lib/libssl.so.44.1 (system): minor is too small
> | /usr/lib/libssl.so.44.2 (system): minor is too small
> | /usr/lib/libssl.so.44.3 (system): minor is too small
> | /usr/lib/libssl.so.44.7 (system): minor is too small

OS snapshots have been behind the libssl/libcrypto versions used to build
packages recently. New snapshots are now (today) available - update your
base OS then run pkg_add -u then re-add libreoffice.